<?php

namespace App\Libraries\Adapter;

abstract class Adapter
{
    protected $_debug = false;
    protected $_session = null;
    protected function __construct($debug = false)
    {
        $this->_debug = $debug;
        $this->_session = \Config\Services::session();
    }
    abstract public function execute();
}
